Name:          vrms-rpm
Version:       2.2
Release:       1%{?dist}
Summary:       Report non-free software
License:       GPLv3

BuildRequires: gcc
BuildRequires: gettext-devel

%global githubowner suve
%global gittag0 release-%{version}
URL:           https://github.com/%{githubowner}/%{name}
Source0:       %{url}/archive/%{gittag0}/%{name}-%{gittag0}.tar.gz


%description
vrms-rpm ("virtual Richard M. Stallman") reports non-free packages
installed on the system.

%prep
%autosetup -n %{name}-%{gittag0}

%build
%set_build_flags
make build PREFIX=%{_prefix} DEFAULT_LICENCE_LIST=tweaked %{?_smp_mflags}

%install
%make_install PREFIX=%{_prefix}
%find_lang %{name} --with-man

%files -f %{name}.lang
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/suve/
%{_datadir}/bash-completion/completions/%{name}
%license LICENCE.txt

%changelog
* Sat Aug 08 2020 Artur Iwicki <fedora@svgames.pl> - 2.2-1
- Initial build for EPEL8
